#include <vector>
#include <cmath>
#include <iostream>

//#include <Eigen/Dense>

#include "vector3f.h"
#include "tensor3d.h"
#include "readtensor.h"
#include "voxel.h"

//using namespace std;

#ifndef __STREAMTRACER_H__
#define __STREAMTRACER_H__

class hyperstreamline{
	public:
		vector3f* seed;
		vector3f* current_pos;
		std::vector<vector3f*> prev_pos; //previous positions
		float major;
		float medium;
		float minor;
		float intergration_step;
		int count;

		hyperstreamline(){;}

		void RK4(tens3Dgrid3D dti);

};

#endif