#include "vector3f.h"

//using namespace std;

ostream& operator<<(ostream& out, const vector3f& vec){
//	out << "(" << vec.gridx << ", " << vec.gridy << ", " << vec.gridz << "): " ;
	out << "{ " << vec.x << ", " << vec.y << ", " << vec.z << " }";
	return out;
}

vector3f* vector3f::lerp_derp(vector3f* that, float point){
	float Vx, Vy, Vz;
//	float center = 0.5;

	Vx = lerp_derp(this->x, that->x, point);
	Vy = lerp_derp(this->y, that->y, point);
	Vz = lerp_derp(this->z, that->z, point);

	return new vector3f(Vx, Vy, Vz);
}