#include <iostream>

#ifndef __VECTOR3F_H__
#define __VECTOR3F_H__

using namespace std;

class vector3f{

	friend ostream& operator<<(ostream&, const vector3f&);

/*	double gridx;
	double gridy;
	double gridz;*/

	public:
		float x;
		float y;
		float z;

		vector3f(void) { }
		vector3f(float a, float b, float c){ x = a, y = b, z = c;}
		vector3f* lerp_derp(vector3f*, float);
		float lerp_derp(float v1, float v2, float point){
			return (v1 * (1-point) + v2 * point); // linear interpolation
		}
//		vector3f(float a, float b, float c, double i, double j, double k){ x = a, y = b, z = c; gridx = i; gridy = j; gridz = k;}
};

#endif