#include "voxel.h"

vector3f* voxel::tri_lerp_derp(float px, float py, float pz){
	vector3f* v12 = v1->lerp_derp(v2, px);
	vector3f* v34 = v3->lerp_derp(v4, px);
	vector3f* front = v12->lerp_derp(v34, py);

	vector3f* v56 = v5->lerp_derp(v6, px);
	vector3f* v78 = v7->lerp_derp(v8, px);
	vector3f* back = v56->lerp_derp(v78, py);

	vector3f* result = front->lerp_derp(back, pz);

	return result;
}