#include <vector>
#include <cmath>

#include "readtensor.h"
#include "vector3f.h"



#ifndef __VOXEL_H__
#define __VOXEL_H__

using namespace std;




class voxel{

	friend ostream& operator<<(ostream&, const voxel&);

	public:
		vector3f* v1;
		vector3f* v2;
		vector3f* v3;
		vector3f* v4;

		vector3f* v5;
		vector3f* v6;
		vector3f* v7;
		vector3f* v8;

		voxel (void) { }
		vector3f* tri_lerp_derp(float,float,float);
		
};

#endif